Bug 201268 - TimableEQ always replaces other EQ
TimableEQ always replaces other EQ
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
-S1S-
PC Linux
: P1 (vote)
: 7.1
Assigned To: Jaroslav Tulach
issues@platform
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-24 06:21 UTC by Jaroslav Tulach
Modified: 2011-08-29 14:14 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Branding key to suppress installation of the queue (8.32 KB, patch)
2011-08-24 07:07 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2011-08-24 06:21:09 UTC
If an application installs own EventQueue and launches NetBeans then, the previous EventQueue is replaced by 

o.n.core/src/org/netbeans/core/TimableEventQueue.java

This hides the previously installed queue and render features relying on extra functionality of that EQ useless.

A special case of this situation happens when an OSGi bundle installs own EventQueue in the BundleActivator. BundleActivators are executed sooner than the initialization code in o.n.core and thus any such EventQueue is replaced by TimableEventQueue.
Comment 1 Jaroslav Tulach 2011-08-24 07:07:47 UTC
Created attachment 110174 [details]
Branding key to suppress installation of the queue
Comment 2 Jaroslav Tulach 2011-08-27 19:42:58 UTC
I need to integrate.
Comment 3 Jaroslav Tulach 2011-08-27 20:29:10 UTC
ergonomics#befafae74050
Comment 4 Quality Engineering 2011-08-29 14:14:48 UTC
Integrated into 'main-golden', will be available in build *201108290601* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/befafae74050
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #201268: Branding to suppress TimableEventQueue


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo